## unstuff - archive expander

unstuff is an application that expands archives and decodes encoded files in multiple compressed and encoded formats. It is a command-line utility that uses the StuffIt Engine shared library.

### Command Line Syntax

unstuff is invoked from the command line as follows:

        unstuff [POSIX or GNU style options] (archives...)

where `(archives...)` is one or more archives to expand.

#### Options

Command-line options are distinguished from arguments (archive names) by one or two dashes. Short (one-character) options are preceded by one dash, long (multi-character) options are preceded by two dashes. Some options have only a short or a long form; some have both.

Options are listed in two sections, one for common options and another for advanced options, in alphabetical order within each section.

##### Common Options

Long form | Short form | Default | Description
`--destination=[directory]` | `-d=[directory]` | [current directory] | Sets the destination directory for expanded files.
`--eol=[option]` | `-e=[option]` | `native` | Selects one of the following text type options, represented by `[option]`: `native`, `win`, `windows`, `crlf`, `unix`, `lf`, `mac`, `macintosh`, `cr`.
`--formats` |  | [no] | Shows archive formats supported by the StuffIt Engine. For each file format, classifier and reader support is listed.
`--macbinary=[option] --mb=[option]` | `-m=[option]` | `off` | Selects one of the following MacBinary output options, represented by `[option]`: `off`, `no`, `on`, `yes`, or `auto`.
`--password=[password]` | `-p=[password]` |  | Sets the password to be used in the operation.
`--quiet` | `-q` | [no] | Suppresses all messages normally printed during operation.
`--text=[option]` | `-t=[option]` | `off` | Selects one of the following text conversion options, represented by `[option]`: `off`, `no`, `on`, `yes`, or `auto`. Applies to `expand` and `create` operatons.
`--version` | `-v` | [no] | Shows StuffIt Engine version information.

##### Advanced Options

Long form | Short form | Default | Description
`--abort-on-error` |  | [no] | Aborts the operation when a recoverable error is encountered.
`--classifier-position=[position]` |  | `0` | Sets the initial classifier position to `position`.
`--classifier-span=[size]` |  | `65536` | Sets classifier span to `size`.
`--classify` | `-c` | [yes] | Shows format information for the archive(s) listed on the command line.
`--formats` |  | [no] | Shows archive formats supported by StuffIt Engine. For each file format, classifier and reader support is listed.
`--pause` |  | [no] | Pauses and waits for a keystroke at the end.
`--scan` | `-s` | [yes] | Lists archive contents for the archive(s) listed on the command line.
`--threaded` |  | [no] | Allows parallel (threaded) operation. A separate archive is created for each input argument.
`--trace` |  | [no] | Prints trace information for use in debugging.

#### Examples

Command line | Description
`unstuff archive.sit` | Expands an archive named `archive.sit`.
`unstuff --destination=C:\WINDOWS\TEMP archive.sit` | Expands an archive named `archive.sit` and places expanded files into `C:\WINDOWS\TEMP`.
`unstuff --destination=/var/tmp archive.sit` | Expands an archive named `archive.sit` and places expanded files into `/var/tmp`.
`unstuff --text=auto --eol=unix archive.sit` | Expands an archive named `archive.sit`, converting text files to Unix format (LF end-of-lines).
`unstuff --password=abcdef archive.sit` | Expands an archive named `archive.sit`, decrypting its contents with the password `abcdef`.
`sexpand --classify archive.sit` | Classifies an archive named `archive.sit`. Reports the archive format and starting position.
`sexpand --scan archive.sit` | Lists the contents of an archive named `archive.sit`.
`sexpand --classify --classifier-position=12345 --classifier-span=1000 archive.sit` | Classifies an archive named `archive.sit`, trying to find the beginning of any archive or encoded format at positions 12345 through 13344. Reports the archive format and starting position.
`sexpand --classify --classify-formats=none,StuffIt archive.sit` | Classifies an archive named `archive.sit`, trying to find the beginning of a StuffIt archive. No other archive or encoded formats are recognized.

| Copyright ©1995-2001 Aladdin Systems, Inc. All Rights reserved.

$Id: unstuff.html,v 1.5 2001/03/16 01:13:14 serge Exp $